﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace printer_test
{
    public partial class Form14 : Form
    {
        public Form14()
        {
            InitializeComponent();
            for (int i = 0; i < 7; i++)
            {
                Barcode_System Barcode = (Barcode_System)Enum.Parse(typeof(Barcode_System), Convert.ToString(i));
                comboBox2.Items.Add(Barcode.ToString());
            }
            for (int i = 0; i < 4; i++)
            {
                Character_Position Barcode = (Character_Position)Enum.Parse(typeof(Character_Position), Convert.ToString(i));
                comboBox1.Items.Add(Barcode.ToString());
            }
            comboBox1.SelectedIndex = Class3.Barcode_Positiion;
            comboBox2.SelectedIndex = Class3.Barcode_System;
            textBox2.Text = Class3.Barcode_Height.ToString();
            textBox3.Text = Class3.Barcode_Horizontal.ToString();
        }
        public enum Character_Position : int
        {
            Do_Not_Print = 0,
            Over_Barcode = 1,
            Under_Barcode = 2,
            Over_And_Under_Barcode = 3

        }

        public enum Barcode_System : int
        {
            UPC_A = 0,
            UPC_E = 1,
            JAN13 = 2,
            JAN8 = 3,
            CODE39 = 4,
            ITF = 5,
            CODABAR = 6,

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Class3.Barcode_Positiion = (int)Enum.Parse(typeof(Character_Position), Convert.ToString(comboBox1.SelectedIndex));
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            Class3.Barcode_System = (int)Enum.Parse(typeof(Barcode_System), Convert.ToString(comboBox2.SelectedIndex));
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {
            if (textBox3.Text != "")
            {
                Class3.Barcode_Height = Convert.ToInt16(textBox2.Text);

            }
        }

        private void textBox3_TextChanged(object sender, EventArgs e)
        {
            if (textBox3.Text != "")
            {
                Class3.Barcode_Horizontal = Convert.ToInt16(textBox3.Text);
            }
        }
    }
}
