﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace printer_test
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            string[] ports = SerialPort.GetPortNames();
            foreach (string port in ports)
            {
                comboBox1.Items.Add(port);
            }

            string[] handshake=new string[4];
            handshake[0] = System.IO.Ports.Handshake.XOnXOff.ToString();
            handshake[3] = System.IO.Ports.Handshake.None.ToString();
            handshake[1] = System.IO.Ports.Handshake.RequestToSendXOnXOff.ToString();
            handshake[2] = System.IO.Ports.Handshake.RequestToSend.ToString();
            foreach (string k in handshake)
            {
                comboBox3.Items.Add(k);
            }
            
   


        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (comboBox1.Items.Count != 0 && comboBox2 != null && comboBox3 != null)
            {
                
                Class1.Serialport.PortName = comboBox1.SelectedItem.ToString();
                Class1.Serialport.BaudRate = int.Parse(comboBox2.SelectedItem.ToString());
                switch (comboBox3.SelectedIndex)
                {
                    case 0:
                        {
                            Class1.Serialport.Handshake = System.IO.Ports.Handshake.XOnXOff;
                            break;
                        }
                    case 1:
                        {
                            Class1.Serialport.Handshake = System.IO.Ports.Handshake.RequestToSendXOnXOff;
                            break;
                        }
                    case 2:
                        {
                            Class1.Serialport.Handshake = System.IO.Ports.Handshake.RequestToSend;
                            break;
                        }
                    case 3:
                        {
                            Class1.Serialport.Handshake = System.IO.Ports.Handshake.None;
                            break;
                        }
                    default:
                        {
                            break;
                        }
                }
 
            }
            else
            {
                if (MessageBox.Show("Value is null. ", " Want To Stop?", MessageBoxButtons.YesNo, MessageBoxIcon.Stop) == DialogResult.Yes)
                {
                    this.Hide();
                }



            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}
